### Method

# EDataServer Source refresh_force_timeout

since: 3.6

#### Declaration [src]

    void
    e_source_refresh_force_timeout (
      ESource* source
    )

#### Description [src]

For all timeouts added with e_source_refresh_add_timeout(), invokes the `ESourceRefreshFunc` callback immediately and then, if the refresh `ESourceRefresh:enabled` state is TRUE, reschedules the timeout.

This function is called automatically when the `ESource` switches from disabled to enabled, but can also be useful when a network connection becomes available or when waking up from hibernation or suspend.

Available since: 3.6